DependencyConfigurationContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.config
[Java] Class DependencyConfigurationContext

    java.lang.Object
      org.codehaus.groovy.grails.resolve.config.DependencyConfigurationContext

    public class DependencyConfigurationContext
    extends java.lang.Object

Field Summary
`IvyDependencyManager` | `dependencyManager`
`boolean` | `exported`
`boolean` | `inherited`
`java.lang.String` | `pluginName`

Method Summary
`DependencyConfigurationContext` | `createInheritedContext()`
`static DependencyConfigurationContext` | `forApplication(IvyDependencyManager dependencyManager)`
`static DependencyConfigurationContext` | `forPlugin(IvyDependencyManager dependencyManager, java.lang.String pluginName)`
`org.apache.ivy.core.module.descriptor.ExcludeRule[]` | `getExcludeRules()`
`GrailsCoreDependencies` | `getGrailsCoreDependencies()` Gives access to the grails core dependencies.
`java.lang.String` | `getParentScope()`
`boolean` | `isOffline()`
`void` | `setExcludeRules(org.apache.ivy.core.module.descriptor.ExcludeRule[] excludeRules)`
`void` | `setOffline(boolean offline)`
`void` | `setParentScope(java.lang.String scope)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### dependencyManager

    public final IvyDependencyManager dependencyManager

### exported

    public final boolean exported

### inherited

    public final boolean inherited

### pluginName

    public final java.lang.String pluginName

Method Detail

### createInheritedContext

    public DependencyConfigurationContext createInheritedContext()

### forApplication

    public static DependencyConfigurationContext forApplication(IvyDependencyManager dependencyManager)

### forPlugin

    public static DependencyConfigurationContext forPlugin(IvyDependencyManager dependencyManager, java.lang.String pluginName)

### getExcludeRules

    public org.apache.ivy.core.module.descriptor.ExcludeRule[] getExcludeRules()

### getGrailsCoreDependencies

    public GrailsCoreDependencies getGrailsCoreDependencies()

  Gives access to the grails core dependencies.
  throws:
    IllegalStateException If the dependency manager is unable to provide this information

### getParentScope

    public java.lang.String getParentScope()

### isOffline

    public boolean isOffline()

### setExcludeRules

    public void setExcludeRules(org.apache.ivy.core.module.descriptor.ExcludeRule[] excludeRules)

### setOffline

    public void setOffline(boolean offline)

### setParentScope

    public void setParentScope(java.lang.String scope)

Groovy Documentation